package ink.wgink.module.form.controller.route.report;

import ink.wgink.interfaces.consts.ISystemConstant;
import ink.wgink.module.form.service.report.IFormReportService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 * @ClassName: FormReportRouteController
 * @Description: 表单上报
 * @Author: wanggeng
 * @Date: 2022/3/10 7:29 PM
 * @Version: 1.0
 */
@Api(tags = ISystemConstant.API_TAGS_SYSTEM_PREFIX + "表单")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/form-report")
public class FormReportRouteController {

    @Autowired
    private IFormReportService formReportService;

    @GetMapping("save/{formCode}")
    public void get(@PathVariable("formCode") String formCode, HttpSession httpSession, HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse) {
        formReportService.get(formCode, httpSession, httpServletRequest, httpServletResponse);
    }

}
