package ink.wgink.module.form.service.design;

import ink.wgink.module.form.pojo.dtos.design.FormDTO;
import ink.wgink.module.form.pojo.pos.design.FormPO;
import ink.wgink.module.form.pojo.vos.design.FormVO;
import ink.wgink.pojo.ListPage;
import ink.wgink.pojo.result.SuccessResultList;

import java.util.List;
import java.util.Map;

public interface IFormService {

    /**
     * 创建动态表单
     *
     * @param createTableSQL
     */
    void createDynamicForm(String createTableSQL);

    /**
     * 新增
     *
     * @param formVO
     * @return
     */
    void save(FormVO formVO);

    /**
     * 新增
     *
     * @param formVO
     * @return 新增ID
     */
    String saveReturnId(FormVO formVO);

    /**
     * 删除
     *
     * @param ids 表单ID列表
     */
    void delete(List<String> ids);

    /**
     * 删除
     *
     * @param ids 表达ID列表
     */
    void remove(List<String> ids);

    /**
     * 修改
     *
     * @param formId 表单ID
     * @param formVO
     * @return
     */
    void update(String formId, FormVO formVO);

    /**
     * 详情
     *
     * @param params
     * @return
     */
    FormDTO get(Map<String, Object> params);

    /**
     * 详情
     *
     * @param formId 表单ID
     * @return
     */
    FormDTO get(String formId);

    /**
     * 详情
     *
     * @param params
     * @return
     */
    FormPO getPO(Map<String, Object> params);

    /**
     * 详情
     *
     * @param formId 表单ID
     * @return
     */
    FormPO getPO(String formId);

    /**
     * 详情
     *
     * @param formCode 表单编码
     * @return
     */
    FormPO getPOByCode(String formCode);

    /**
     * 列表
     *
     * @param params
     * @return
     */
    List<FormDTO> list(Map<String, Object> params);

    /**
     * 列表
     *
     * @param params
     * @return
     */
    List<FormDTO> listPO(Map<String, Object> params);

    /**
     * 分页列表
     *
     * @param page
     * @return
     */
    SuccessResultList<List<FormDTO>> listPage(ListPage page);

}
